Subject: bug#25220: tar-untar-buffer doesn't support symlinks

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 27 Jul 2019 13:11:27 +0200

[email-masked] writes:

> Severity: wishlist
>
> tar-untar-buffer silently converts symlinks into regular files.  There
> might be some portability trouble with supporting them, but at least we
> should warn about low fidelity unpacking, as in the patch below.
>
> This initially turned up as a yasnippet bug, because the package's
> tarball was using symlinks.  Of course that has to be fixed by avoiding
> symlinks (https://github.com/joaotavora/yasnippet/issues/748).

It looks like this patch was applied at the time, but the bug report
wasn't closed, so I'm doing that now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no